Skip to content

After submitting a request to extract object types from your Vault, you can query Vault to retrieve results of a specified job task.

GET/api/{version}/services/loader/{job_id}/tasks/{task_id}/results
NameDescription
Accepttext/csv
NameDescription
job_idThe id value of the requested extract job.
task_idThe id value of the requested extract task.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v22.1/services/loader/61907/tasks/2/results
file,rendition_type__v,id,name__v,type__v /61915/50/0_1/renditions/viewable_rendition__v.pdf,viewable_rendition__v,50,Facts about High Cholesterol Spring 2016,Promotional Material /61915/8/0_1/renditions/viewable_rendition__v.pdf,viewable_rendition__v,8,ashley-harvey,Personnel

On SUCCESS, the response includes CSV output containing the results of a specific extract job task. If the extract includes document or document version renditions, the CSV output contains paths to rendition files on your Vault's file staging server. When an export includes multiple rendition types for a document or document version, the CSV output includes a separate row for each rendition type.